<?php
require_once('../../../includes/load.php');


//funcion para traer los datos de la base de datos a la tabla listado programa
$convert_utf8 = function ($s) {
         if (!mb_check_encoding($s, 'UTF-8')) {
             $s = utf8_encode($s);
         }
         return $s;
     };
$sql = $db->query("SELECT pa.id, pa.ProgFechaInicialAbastecimiento, tc.DetTipoCombustible, pa.Cantidad, ta.NombreTipoAbastecimiento,pa.Responsable, g.GNombre, pa.EstadoProgramaAbastecimiento FROM granja g INNER JOIN programaabastecimiento pa ON g.IdGranja = pa.IdGranja INNER JOIN tipoabastecimiento ta ON pa.IdTipoAbastecimiento = ta.IdTipoAbastecimiento INNER JOIN tipocombustible tc ON pa.IdTipoCombustible = tc.IdTipoCombustible ORDER BY id DESC");
$data = array();
while( $rows = mysqli_fetch_assoc($sql) ) {
	$data[] = array_map($convert_utf8, $rows);
}
$results = array(
	"sEcho" => 1,
"iTotalRecords" => count($data),
"iTotalDisplayRecords" => count($data),
  "aaData"=>$data);
echo json_encode($results);
?>




